/* #includes */ /*{{{C}}}*//*{{{*/
#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
extern char *optarg;
extern int optind,opterr,optopt;
int getopt(int argc, char * const *argv, const char *optstring);

#include "cpmfs.h"
/*}}}*/

const char cmd[]="cpmera";

int main(int argc, char *argv[])
{
  /* variables */ /*{{{*/
  int type;
  char *image;
  const char *format=FORMAT;
  int c,i,usage=0,exitcode=0;
  struct cpmSuperBlock drive;
  struct cpmInode root;
  /*}}}*/

  /* parse options */ /*{{{*/
  type=CPMFS_DR22;
  while ((c=getopt(argc,argv,"pf:h?"))!=EOF) switch(c)
  {
    case 'p': type=CPMFS_P2DOS; break;
    case 'f': format=optarg; break;
    case 'h':
    case '?': usage=1; break;
  }

  if (optind>=(argc-1)) usage=1;
  else image=argv[optind];

  if (usage)
  {
    fprintf(stderr,"Usage: cpmera [-f format] [-p] image file ...\n");
    exit(1);
  }
  /*}}}*/
  /* open image */ /*{{{*/
  if ((drive.fd=open(image,O_RDWR))==-1) 
  {
    fprintf(stderr,"%s: can not open %s: %s\n",cmd,image,strerror(errno));
    exit(1);
  }
  getformat(format,type,&drive,&root);
  /*}}}*/
  for (i=optind+1; i<argc; ++i) if (cpmUnlink(&root,argv[i])==-1)
  {
    fprintf(stderr,"%s: can not erase %s: %s\n",cmd,argv[i],boo);
    exitcode=1;
  }
  exit(exitcode);
}
